﻿@using Talox.Api.Models.AccountViewModels
@model ResetPasswordViewModel
@{
    ViewData["Title"] = "Reset password";
}

<div class="login_wrapper"> 
    <div class="login-card">
        <h1>@ViewData["Title"]</h1>
        <form asp-controller="Account" asp-action="ResetPassword" method="post" class="form-horizontal">
            <h4>Enter your new password.</h4>
            <hr />
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input asp-for="Code" type="hidden" />
            <input asp-for="Email" type="hidden" />
            <div class="form-group">                
                <div>
                    <input asp-for="Password" class="form-control"  placeholder="Password"/>
                    <span asp-validation-for="Password" class="text-danger"></span>
                </div>
            </div>
            <div class="form-group">              
                <div>
                    <input asp-for="ConfirmPassword" class="form-control" placeholder="Confirm Password"/>
                    <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-12">
                    <button type="submit" class="btn talox-button">Set new password</button>
                </div>
            </div>
        </form>
        <div class="login-help">
            <a href="mailto:info@talox.com?subject=Forgot Password">Contact us</a>
            <br><br><br>
            <a href="https://www.talox.com" style="opacity:1;">
                <img src="~/img/talox.jpg" width=100px;>
            </a>
        </div>
    </div>
</div>
@section Scripts {
    @{ await Html.RenderPartialAsync("_ValidationScriptsPartial"); }
}
